body {
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'all-round-gothic', sans-serif;
    font-weight: 700;
    background: url('./images/FONDORULETA.png') no-repeat center fixed;
    background-size: cover;
    position: relative;
}

body::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1; /* Asegura que esté detrás del contenido */
}

#headerRuleta {
    position: absolute;
    z-index: 2;
    top: 1px;
    left: 50%;
    transform: translateX(-50%);
}

#headerRuleta h1 {
    color: white;
    font-size: 50px;
    max-width: 100%;
    white-space: nowrap;
}

#ruletaContainer {
    position: relative;
    z-index: 1;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

#ruletaCanvas {
    max-width: 100%;
    height: auto;
}

#girarBtn {
    position: relative; /* Esto permite mover el botón sin afectar el contenido superior */
    top: 180px; /* Ajusta este valor para mover el botón más abajo */
    padding: 15px 30px;
    font-size: 18px;
    cursor: pointer;
    background-color: #6bfdff00;
    color: #fff;
    border: none;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
    transition: background-color 0.3s, transform 0.2s;
    margin-right: 10px;
}

#girarBtn:hover {
    background-color: #499eff;
    transform: scale(1.05);
}

@media (max-width: 768px) {
    #ruletaCanvas {
        width: 80vw;
    }
}

@media (min-width: 1920px) and (min-height: 1080px) {
    #headerRuleta {
        position: absolute;
        z-index: 2;
        top: 1px;
        left: 50%;
        transform: translateX(-50%);
    }
    
    #headerRuleta h1 {
        color: white;
        font-size: 100px;
        max-width: 100%;
        white-space: nowrap;
    }

    #ruletaCanvas {
        width: 650px;
        height: 650px;
    }
}

/* Efecto de difuminado */
.blurred {
    filter: blur(5px); /* Difumina la ruleta */
}

/* Overlay */
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: none; /* Mantener el overlay oculto hasta que se accione */
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.overlay-content {
    color: #fff;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.1);
    padding: 20px;
    border-radius: 10px;
    width: 100%;
    max-width: 100%;
    overflow: hidden;
}

.overlay .categoria {
    color: rgba(86, 188, 212);
    font-size: calc(3vw);
    max-width: 100%;
    font-weight: bold;
    margin-bottom: 10px;
}

.overlay .resultado {
    font-size: calc(4vw);
    margin-top: 10px;
    max-width: 100%;
    max-height: 50%;
    color: #fff;
}

.overlay .leyenda {
    font-size: 17px;
    margin-top: 10px;
    color: #ff0000;
}